npm @polkadot/api 1.30.1
v1.30.1

Upgrade priority: Low, unless using the proposeParachain module.

  • Adjust balance retrievals to check for system.account for new/old determination
  • Add types for the new proposeParachain module (as per Rococo)
  • Adjust Address <-> LookupSource definitions (no external impact, both in existence)
  • Add Ethereum-compatible Ethereum{AccountId, LookupSource} types, underlying H160
  • Allow for configurable hashers via registry.setHasher(...) (defaults to blake2AsU8a)
  • @polkadot/util 3.3
latest releases: 4.14.2-4, 4.14.2-3, 4.14.2-2...
9 months ago